# dask.array.atleast_1d

dask.array.atleast_1d(*arys)

  Convert inputs to arrays with at least one dimension.

  This docstring was copied from numpy.atleast_1d.

  Some inconsistencies with the Dask version may exist.

  Scalar inputs are converted to 1-dimensional arrays, whilst higher-dimensional inputs are preserved.

  Parameters:
    arys1, arys2, …array_like

      One or more input arrays.

  Returns:
    ret ndarray

      An array, or tuple of arrays, each with `a.ndim >= 1`. Copies are made only if necessary.

  See also

  `atleast_2d`, `atleast_3d`

  Examples

      >>> import numpy as np
      >>> np.atleast_1d(1.0)
      array([1.])

      >>> x = np.arange(9.0).reshape(3,3)
      >>> np.atleast_1d(x)
      array([[0., 1., 2.],
             [3., 4., 5.],
             [6., 7., 8.]])
      >>> np.atleast_1d(x) is x
      True

      >>> np.atleast_1d(1, [3, 4])
      (array([1]), array([3, 4]))